Loading...
Searching...
No Matches
printer.h File Reference
`#include "HalideRuntime.h"`

Go to the source code of this file.

## Classes

class | Halide::Runtime::Internal::PrinterBase
struct | Halide::Runtime::Internal::PrinterBase::Float16Bits

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Runtime
namespace | Halide::Runtime::Internal

## Macros

#define | HALIDE_RUNTIME_PRINTER_LOG_THREADID 0

## Enumerations

enum | Halide::Runtime::Internal::PrinterType { Halide::Runtime::Internal::BasicPrinterType = 0 , Halide::Runtime::Internal::ErrorPrinterType = 1 , Halide::Runtime::Internal::StringStreamPrinterType = 2 }

## Variables

constexpr uint64_t | Halide::Runtime::Internal::default_printer_buffer_length = 1024

## Macro Definition Documentation

## HALIDE_RUNTIME_PRINTER_LOG_THREADID

#define HALIDE_RUNTIME_PRINTER_LOG_THREADID 0

Definition at line 10 of file printer.h.